"{ Package: 'stx:libbasic' }"

ArithmeticError subclass:#DomainError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Errors'
!

!DomainError class methodsFor:'documentation'!

documentation
"
    Raised by certain mathematical functions when the function-args
    value is not within the allowed domain.
    For example, 
        arcSin receiver not in -1..1
    or
        log receiver <= 0
"
! !

!DomainError class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/DomainError.st,v 1.2 2001-11-17 11:39:20 cg Exp $'
! !
